<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Managing Hosts">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Viewing and Editing Host Metadata</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#21-host-management/viewing-and-editing-host-information.html">Open topic with navigation</a>
        </p>
        <h1>Viewing and Editing Host Metadata</h1>
        <p>Each host has metadata that helps you identify its network details and its operating system. You can view the host metadata to learn more about the identifiable attributes for a particular host or you can edit the host metadata if there are additional details you want to provide about the host.</p>
        <h2>Viewing Host Metadata</h2>
        <p class="leadin">To view metadata for a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host you want to view the host information for.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_542x263.png" style="width: 542;height: 263;" /></li>
            <li value="3">Click on the <b class="UISelection">Edit</b> icon. The Host Information window displays the metadata for the host.<br /><br /><img src="../Resources/Images/host-management/hm-info-icon_547x75.png" style="width: 547;height: 75;" /></li>
        </ol>
        <h2>Editing Host Information</h2>
        <p class="leadin">To edit the metadata for a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that you want to edit.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_543x263.png" style="width: 543;height: 263;" /></li>
            <li value="3">Click on the<b class="UISelection"> Edit</b> icon. The Host Information window displays the metadata for the host.<br /><br /><img src="../Resources/Images/host-management/hm-info-icon_544x74.png" style="width: 544;height: 74;" /></li>
            <li value="4">Click on the <b class="UISelection">Edit</b> icon for the metadata field you want to add or modify. The field becomes editable.<br /><br /><img src="../Resources/Images/host-management/hm-host-info-edit-icon_197x201.png" style="width: 197;height: 201;" /><br /></li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Note: The following metadata fields can be edited: host address, host name, host MAC address, OS name, OS flavor, OS service pack, and OS purpose.</p>
        <ol data-mc-continue="true">
            <li value="5">Enter the information you want to use in the field. For example, if you know the service pack, you can add it to the SP field.</li>
            <li value="6">Click the <b class="UISelection">Save</b> link when you are done.<br /><br /><img src="../Resources/Images/host-management/hm-host-info-save_201x206.png" style="width: 201;height: 206;" /></li>
            <li value="7">Click the Done button to close the Host Information window.</li>
        </ol>
    </body>
</html>